Skip to main content
POST
Create a delivery quote

Authorizations

Authorization
string
header
required

A business-bound HaulStow API key. Send Authorization: Bearer hsg_live_key_... to the live server or a hsg_test_key_... key to the sandbox server. Never expose this key in a browser.

Headers

X-Request-ID
string

Optional caller correlation ID. Use 1–128 ASCII letters, digits, ., _, -, or :. Invalid values are replaced. The accepted/generated value is returned in the response.

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9._:-]+$

Body

application/json
dropoff
object
required
vehicle_type
enum<string>
required
Available options:
bike,
minivan
Example:

"bike"

pickup
object
pickup_location_id
string
Pattern: ^pkp_[a-f0-9]{32}$
Example:

"pkp_9b2f0c1e4d5a4b6c8e7f1a2b3c4d5e6f"

Response

Quote calculated.

success
boolean
required
statusCode
enum<integer>
required
Available options:
200
message
string
required
data
object
required